Ask Kevin is smarter.
OmniDimension
Knowledge base

Check file upload capability

Check whether a file can be uploaded based on size and type.

POST/knowledge_base/can_upload
Body
2 fields
·

Size in bytes.

File extension. Only `pdf` is accepted.

curl -X POST 'https://backend.omnidim.io/api/v1/knowledge_base/can_upload' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "file_size": 524288,
  "file_type": "pdf"
}'
Example response
{
  "success": true,
  "message": "File can be uploaded",
  "quota": {
    "total": 10,
    "used": 0,
    "remaining": 10
  }
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json